Page MenuHomePhabricator

New Gerrit UI does not contain copyable Change-Id or parent commit id
Closed, ResolvedPublic

Description

In Gerrit there is an option to copy Change-Id, commit id and parrent commit id. But in new Gerrit UI, this option is missing completely. Change-Id can be found in the commit message, but parent id can not be found anywhere (T195278). And those simple copyable text fields from the old Gerrit UI are missing completely.

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
ResolvedQChris
ResolvedQChris
ResolvedDzahn
Resolvedthcipriani
ResolvedAklapper
ResolvedAklapper
ResolvedQChris
ResolvedDzahn
ResolvedQChris
ResolvedQChris
Resolvedjcrespo
ResolvedDzahn
ResolvedPaladox
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedQChris
ResolvedBUG REPORTQChris
InvalidBUG REPORTNone
ResolvedDzahn
ResolvedBUG REPORTkostajh
ResolvedBUG REPORTQChris
ResolvedBUG REPORTQChris
InvalidBUG REPORTNone
ResolvedBUG REPORTQChris
OpenNone
InvalidNone
OpenNone
DuplicateBUG REPORTNone
OpenNone
ResolvedNikerabbit
DeclinedBUG REPORTNone
Resolvedhashar
InvalidNone
ResolvedQChris
DeclinedNone
OpenNone
DuplicateNone
DuplicateNone
ResolvedBUG REPORTQChris
ResolvedQChris
ResolvedQChris
DeclinedNone
OpenNone
ResolvedDzahn
OpenNone
ResolvedQChris

Event Timeline

Dvorapa created this task.May 22 2018, 5:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2018, 5:59 AM
Dvorapa moved this task from Bugs & stuff to PolyGerrit on the Gerrit board.May 22 2018, 5:59 AM
Dvorapa updated the task description. (Show Details)

"parent commit id" that will be fixed in gerrit 2.16 / 3.0.

For "Change-Id" i doin't think they have done that yet.

filled upstream at https://bugs.chromium.org/p/gerrit/issues/detail?id=9062 for "no copyable Change-Id" part

Vvjjkkii renamed this task from New Gerrit UI does not contain copyable Change-Id or parent commit id to vicaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from vicaaaaaaa to New Gerrit UI does not contain copyable Change-Id or parent commit id.Jul 2 2018, 3:59 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Paladox moved this task from PolyGerrit to Maybe fixed? on the Gerrit board.Oct 8 2018, 4:02 PM
Apap04 added a subscriber: Apap04.Jan 15 2020, 11:15 PM

upstream issue set to WontFix, should a plugin be needed?

Aklapper moved this task from Backlog to Reported Upstream on the Upstream board.Jan 16 2020, 9:14 AM
cscott added a subscriber: cscott.May 2 2020, 4:08 AM

upstream issue set to WontFix, should a plugin be needed?

It seems to me that the change-id in the commit message is good enough. It was the missing parent id which was the real problem.

Dvorapa closed this task as Resolved.EditedMay 2 2020, 8:07 AM

If I look into Gerrit 3.1.4, it contains copyable parent sha and commit sha, only Change-Id does not have this button. And missing Change-Id button issue has been closed as WontFix, so this is resolved as far as I can tell.